News story
curl --request GET \
--url https://www.prometheus.services/api/v1/news/items/{id} \
--header 'X-API-KEY: <api-key>'import requests
url = "https://www.prometheus.services/api/v1/news/items/{id}"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://www.prometheus.services/api/v1/news/items/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"item": {
"id": 123,
"sourceCode": "<string>",
"sourceName": "<string>",
"sourceKind": "<string>",
"displayPolicy": "full_text",
"attribution": "<string>",
"headline": "<string>",
"headlineKind": "source",
"snippet": "<string>",
"url": "<string>",
"publishedAt": "2023-11-07T05:31:56Z",
"observedAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"importance": 50,
"isFlash": true,
"tickers": [
"<string>"
],
"primaryCik": "<string>",
"formType": "<string>",
"itemCodes": [
"<string>"
],
"topics": [
"<string>"
],
"clusterId": 123,
"language": "<string>",
"publisher": "<string>",
"body": "<string>",
"entities": [
{
"kind": "company",
"key": "<string>",
"companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"ticker": "<string>",
"name": "<string>",
"role": "filer",
"method": "<string>",
"confidence": 0.5
}
],
"related": [
{
"id": 123,
"sourceCode": "<string>",
"sourceName": "<string>",
"sourceKind": "<string>",
"displayPolicy": "full_text",
"attribution": "<string>",
"headline": "<string>",
"headlineKind": "source",
"snippet": "<string>",
"url": "<string>",
"publishedAt": "2023-11-07T05:31:56Z",
"observedAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"importance": 50,
"isFlash": true,
"tickers": [
"<string>"
],
"primaryCik": "<string>",
"formType": "<string>",
"itemCodes": [
"<string>"
],
"topics": [
"<string>"
],
"clusterId": 123,
"language": "<string>",
"publisher": "<string>"
}
],
"metadata": {}
}
}{
"error": "<string>",
"code": "unauthenticated"
}{
"error": "<string>",
"code": "unauthenticated"
}{
"error": "<string>",
"code": "unauthenticated"
}{
"error": "<string>",
"code": "unauthenticated"
}News
News story
One story: the item, its entity tags (companies, people, indicators…), the rest of its storyline (same cluster, newest first, up to 10), metadata, and the full text for full_text-licensed sources only (null otherwise).
GET
/
api
/
v1
/
news
/
items
/
{id}
News story
Authorizations
apiKeycognitoIdToken
Prometheus API key (pk_live_...), created on the Developers page in the terminal. Also accepted as Authorization: Bearer pk_live_....
Path Parameters
News item id.
Response
OK
Show child attributes
Show child attributes